Skip to content
Get Started

Create multiple contacts

POST/api/v2/contacts/bulk

Create multiple contacts in bulk

Body ParametersJSONExpand Collapse
contacts: array of object { phone, company_name, custom_variables, 3 more }
phone: string

Phone number in E.164 format

company_name: optional string

Company name

custom_variables: optional map[string]

Custom key-value pairs. Keys are human-readable labels; new labels are auto-created.

first_name: optional string

Contact's first name

last_name: optional string

Contact's last name

tags: optional array of string
ReturnsExpand Collapse
contacts: optional array of Contact { assigned_to_email, company_name, created_at, 7 more }
assigned_to_email: optional string

Email of assigned user

company_name: optional string

Company name

created_at: optional string

When the contact was created

formatdate-time
custom_variables: optional map[string]

Custom key-value pairs stored on the contact. Keys are human-readable labels.

first_name: optional string

First name

last_name: optional string

Last name

phone: optional string

Phone number in E.164 format

sendblue_number: optional string

Associated Sendblue phone number

tags: optional array of string

Tags associated with the contact

verified: optional boolean

Whether the contact is verified

status: optional string

Create multiple contacts

curl https://api.sendblue.co/api/v2/contacts/bulk \
    -H 'Content-Type: application/json' \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" \
    -d '{
          "contacts": [
            {
              "phone": "phone"
            }
          ]
        }'
{
  "contacts": [
    {
      "assigned_to_email": "[email protected]",
      "company_name": "Example Corp",
      "created_at": "2024-01-15T10:30:00Z",
      "custom_variables": {
        "Lead Source": "Website",
        "Plan": "Enterprise"
      },
      "first_name": "John",
      "last_name": "Doe",
      "phone": "+1234567890",
      "sendblue_number": "+1987654321",
      "tags": [
        "customer",
        "vip"
      ],
      "verified": true
    }
  ],
  "status": "OK"
}
Returns Examples
{
  "contacts": [
    {
      "assigned_to_email": "[email protected]",
      "company_name": "Example Corp",
      "created_at": "2024-01-15T10:30:00Z",
      "custom_variables": {
        "Lead Source": "Website",
        "Plan": "Enterprise"
      },
      "first_name": "John",
      "last_name": "Doe",
      "phone": "+1234567890",
      "sendblue_number": "+1987654321",
      "tags": [
        "customer",
        "vip"
      ],
      "verified": true
    }
  ],
  "status": "OK"
}